Index: tmp/org.txm.ca.rcp/.classpath
===================================================================
--- tmp/org.txm.ca.rcp/.classpath	(revision 882)
+++ tmp/org.txm.ca.rcp/.classpath	(revision 883)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF	(revision 882)
+++ tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF	(revision 883)
@@ -2,18 +2,9 @@
 Export-Package: org.txm.ca.rcp.adapters,org.txm.ca.rcp.chartsengine.ev
  ents,org.txm.ca.rcp.editors,org.txm.ca.rcp.handlers,org.txm.ca.rcp.me
  ssages,org.txm.ca.rcp.preferences
-Require-Bundle: org.txm.utils;bundle-version="1.0.0";visibility:=reexp
- ort,org.eclipse.osgi;bundle-version="3.10.2";visibility:=reexport,org
- .eclipse.core.runtime;bundle-version="3.10.0";visibility:=reexport,or
- g.eclipse.ui;bundle-version="3.106.1";visibility:=reexport,org.txm.se
- archengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,org.t
- xm.lexicaltable.core;bundle-version="1.0.0";visibility:=reexport,org.
- txm.lexicaltable.rcp;bundle-version="1.0.0";visibility:=reexport,org.
- txm.ca.core;bundle-version="1.0.0";visibility:=reexport,org.txm.chart
- sengine.rcp;visibility:=reexport,org.txm.core;bundle-version="0.7.0";
- visibility:=reexport,org.txm.rcp;visibility:=reexport,org.eclipse.cor
- e.expressions;bundle-version="3.4.600";visibility:=reexport,org.txm.s
- tatsengine.core;bundle-version="1.0.0";visibility:=reexport
+Require-Bundle: org.txm.lexicaltable.rcp;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.chartsengine.rcp;visibility:=reexport,
+ org.txm.ca.core;bundle-version="1.0.0";visibility:=reexport
 Bundle-Vendor: Textometrie.org
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 882)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 883)
@@ -37,10 +37,10 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.ca.core.functions.CA;
 import org.txm.ca.rcp.editors.CAEditor;
+import org.txm.ca.rcp.editors.CAParametersDialog;
 import org.txm.ca.rcp.messages.CAUIMessages;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.lexicaltable.core.functions.LexicalTable;
-import org.txm.lexicaltable.rcp.editors.LexicalTableDialog;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.TXMWindows;
 import org.txm.rcp.editors.TXMResultEditorInput;
@@ -90,7 +90,7 @@
 				}
 				// ask property and Fmins and Vmax
 				String title = TXMUIMessages.bind(CAUIMessages.ComputeCorrespondanceAnalysisDialog_0, partition.getName());
-				LexicalTableDialog d = new LexicalTableDialog(window.getShell(), partition.getCorpus(), title);
+				CAParametersDialog d = new CAParametersDialog(window.getShell(), partition.getCorpus(), title);
 
 				if (d.open() == MessageDialog.OK) {
 					Property property = d.getProperty();
@@ -130,22 +130,33 @@
 				ca = (CA) selection;
 			}
 			else {
-				throw new Throwable();
+				Log.severe("Error: cannot compute a CA with current selection: " + selection);
+				return null;
 			}
 			// compute the CA
 			ca.compute();
 
-			System.out.println(CAUIMessages.ComputeCorrespondanceAnalysis_8);
+			try {
 
-			TXMResultEditorInput editorInput = new TXMResultEditorInput(ca);
-			IWorkbenchPage page = TXMWindows.getActivePage();
-			StatusLine.setMessage(CAUIMessages.ComputeCorrespondanceAnalysis_14);
-			IEditorPart editor = page.openEditor(editorInput, CAEditor.class.getName());
+				System.out.println(CAUIMessages.ComputeCorrespondanceAnalysis_8);
 
+				TXMResultEditorInput editorInput = new TXMResultEditorInput(ca);
+				IWorkbenchPage page = TXMWindows.getActivePage();
+				StatusLine.setMessage(CAUIMessages.ComputeCorrespondanceAnalysis_14);
+				IEditorPart editor = page.openEditor(editorInput, CAEditor.class.getName());
+				
+
+				
+			}
+			catch (Throwable e) {
+				System.out.println("Error while opening CAEditor with " + ca);
+				Log.printStackTrace(e);
+			}
+
 		}
 		catch (Throwable e) {
+			Log.severe("Error while computing CA with " + selection);
 			Log.printStackTrace(e);
-			return super.logCanNotCompute(selection);
 		}
 		return null;
 	}
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAParametersDialog.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAParametersDialog.java	(revision 0)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAParametersDialog.java	(revision 883)
@@ -0,0 +1,252 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.ca.rcp.editors;
+
+import java.util.ArrayList;
+import java.util.List;
+
+import org.eclipse.jface.dialogs.Dialog;
+import org.eclipse.jface.dialogs.MessageDialog;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.layout.GridData;
+import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.widgets.Combo;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Control;
+import org.eclipse.swt.widgets.Label;
+import org.eclipse.swt.widgets.Shell;
+import org.eclipse.swt.widgets.Spinner;
+import org.txm.ca.core.preferences.CAPreferences;
+import org.txm.core.messages.TXMCoreMessages;
+import org.txm.core.preferences.TXMPreferences;
+import org.txm.lexicaltable.rcp.messages.LexicalTableUIMessages;
+import org.txm.rcp.messages.TXMUIMessages;
+import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.searchengine.cqp.corpus.Property;
+/**
+ * Retrieve the property analysis to be used for computing correspondence
+ * analysis. and also the max number of entries and their minimal frequency
+ * 
+ * @author sjacquot
+ * @author sloiseau
+ * 
+ */
+public class CAParametersDialog extends Dialog {
+
+	/** The property. */
+	private Property property;
+	
+	/** The properties. */
+	private List<Property> properties;
+	
+	/** The ana prop combo. */
+	private Combo anaPropCombo;
+	
+	/** The fmin label. */
+	Label fminLabel;
+	
+	/** The maxlines label. */
+	Label maxlinesLabel;
+	
+	/** The maxlines spinner. */
+	Spinner maxlinesSpinner;
+	
+	/** The fmin spinner. */
+	Spinner fminSpinner;
+	
+	/** The corpus. */
+	Corpus corpus;
+
+	/** The title. */
+	String title;
+	
+	/** The mess. */
+	String mess;
+	
+	/** The max, default value read from CA preferences. */
+	private int vmax = TXMPreferences.getInt(CAPreferences.V_MAX, CAPreferences.PREFERENCES_NODE);
+	
+	/** The fmin, default value read from CA preferences. */
+	private int fmin = TXMPreferences.getInt(CAPreferences.F_MIN, CAPreferences.PREFERENCES_NODE);
+
+	/**
+	 * Instantiates a new compute correspondence analysis dialog.
+	 *
+	 * @param parentShell the parent shell
+	 * @param corpus the corpus
+	 */
+	public CAParametersDialog(Shell parentShell, Corpus corpus, String title) {
+		super(parentShell);
+		try {
+			this.corpus = corpus;
+			this.title = title;
+			this.properties = new ArrayList<Property>(corpus.getOrderedProperties());
+		} catch (CqiClientException e) {
+			org.txm.rcp.utils.Logger.printStackTrace(e);
+		}
+	}
+
+	/**
+	 * Instantiates a new compute correspondence analysis dialog.
+	 *
+	 * @param parentShell the parent shell
+	 * @param corpus the corpus
+	 * @param title the title
+	 * @param mess the mess
+	 */
+	public CAParametersDialog(Shell parentShell,
+			Corpus corpus, String title, String mess) {
+		super(parentShell);
+		this.corpus = corpus;
+		this.title = title;
+		this.mess = mess;
+		try {
+			this.properties = new ArrayList<Property>(corpus.getOrderedProperties());
+		} catch (CqiClientException e) {
+			org.txm.rcp.utils.Logger.printStackTrace(e);
+		}
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.window.Window#configureShell(org.eclipse.swt.widgets.Shell)
+	 */
+	@Override
+	protected void configureShell(Shell newShell) {
+		super.configureShell(newShell);
+		newShell.setText(LexicalTableUIMessages.LexicalTablePreferencePage_0);
+		if (title != null)
+			newShell.setText(title);
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.dialogs.Dialog#createDialogArea(org.eclipse.swt.widgets.Composite)
+	 */
+	@Override
+	protected Control createDialogArea(Composite parent) {
+		Composite composite = new Composite(parent, SWT.NONE);
+		GridLayout layout = new GridLayout(2, false);
+		composite.setLayout(layout);
+
+		Label anaPropLabel = new Label(composite, SWT.NONE);
+		if (mess != null) {
+			anaPropLabel.setText(mess);
+		}
+		else {
+			anaPropLabel.setText(TXMCoreMessages.common_properties);
+		}
+		anaPropLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
+				false, false));
+
+		anaPropCombo = new Combo(composite, SWT.READ_ONLY);
+		anaPropCombo.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
+				true, false));
+		int iword= 0;
+		int i = 0;
+		for (Property p : properties) {
+			anaPropCombo.add(p.getName());
+			if (p.getName().equals(TXMPreferences.DEFAULT_UNIT_PROPERTY)) {
+				iword=i;
+			}
+			i++;
+		}
+		anaPropCombo.select(iword);
+
+		maxlinesLabel = new Label(composite, SWT.NONE);
+		maxlinesLabel.setText(TXMUIMessages.NumberOfLines);
+		maxlinesLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER, true, false));
+		maxlinesSpinner = new Spinner(composite, SWT.BORDER);
+		maxlinesSpinner.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
+		maxlinesSpinner.setMaximum(9999999);
+		maxlinesSpinner.setMinimum(1);
+		maxlinesSpinner.setSelection(9999999);
+		maxlinesSpinner.setSelection(vmax);
+		
+		fminLabel = new Label(composite, SWT.NONE);
+		fminLabel.setText(TXMCoreMessages.common_fMin);
+		fminLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER, true, false));
+		fminSpinner = new Spinner(composite, SWT.BORDER);
+		fminSpinner.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
+		fminSpinner.setMaximum(9999999);
+		fminSpinner.setMinimum(1);
+		fminSpinner.setSelection(fmin);
+
+		return composite;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.dialogs.Dialog#okPressed()
+	 */
+	@Override
+	protected void okPressed() {
+		int propIndex = anaPropCombo.getSelectionIndex();
+		if (propIndex == -1) {
+			MessageDialog.openError(getShell(),
+					TXMUIMessages.Invalid_analysis_property,
+					TXMUIMessages.Structure_field_not_empty);
+			return;
+		}
+		property = properties.get(propIndex);
+
+		vmax = maxlinesSpinner.getSelection();
+		fmin = fminSpinner.getSelection();
+		super.okPressed();
+	}
+
+	/**
+	 * Gets the property.
+	 *
+	 * @return the property
+	 */
+	public Property getProperty() {
+		return property;
+	}
+
+	/**
+	 * Gets the fmin.
+	 *
+	 * @return the fmin
+	 */
+	public int getFmin() {
+		return fmin;
+	}
+
+	/**
+	 * Gets the max lines.
+	 *
+	 * @return the max lines
+	 */
+	public int getMaxLines() {
+		return vmax;
+	}
+	
+	public void setFminAndVMax(int fmin, int vmax) {
+		this.fmin = fmin;
+		this.vmax = vmax;
+	}
+}

Property changes on: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAParametersDialog.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF	(revision 882)
+++ tmp/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF	(revision 883)
@@ -1,11 +1,5 @@
 Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui;bundle-version="3.106.1";visibility:=re
- export,org.txm.chartsengine.core;bundle-version="1.0.0";visibility:=r
- eexport,org.txm.rcp;bundle-version="0.7.8";visibility:=reexport,org.e
- clipse.core.resources;visibility:=reexport,org.eclipse.swt;visibility
- :=reexport,org.eclipse.core.expressions;bundle-version="3.4.600";visi
- bility:=reexport,org.eclipse.e4.ui.workbench.renderers.swt;visibility
- :=reexport
+Require-Bundle: org.txm.rcp;bundle-version="0.7.8";visibility:=reexport
 Export-Package: org.txm.chartsengine.rcp,org.txm.chartsengine.rcp.edit
  ors,org.txm.chartsengine.rcp.events,org.txm.chartsengine.rcp.handlers
  ,org.txm.chartsengine.rcp.messages,org.txm.chartsengine.rcp.preferenc
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/SwingChartComposite.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/SwingChartComposite.java	(revision 882)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/SwingChartComposite.java	(revision 883)
@@ -20,7 +20,6 @@
 
 import org.eclipse.swt.awt.SWT_AWT;
 import org.eclipse.swt.widgets.Composite;
-import org.jfree.chart.JFreeChart;
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.rcp.IChartComponent;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RConsole.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RConsole.java	(revision 882)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RConsole.java	(revision 883)
@@ -229,7 +229,7 @@
 	}
 	
 	public void connectToRWorkspace() {
-		if (!readyToDisplay && Toolbox.getEngineManager(EngineType.STATS).getEngine("R").getState()) {
+		if (!readyToDisplay && Toolbox.getEngineManager(EngineType.STATS).isCurrentEngineAvailable()) {
 			RWorkspace rw = null;
 			Log.warning(RUIMessages.RConsole_0);
 			try {
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 882)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 883)
@@ -59,27 +59,16 @@
 import org.eclipse.ui.PlatformUI;
 import org.eclipse.ui.part.ViewPart;
 import org.txm.Toolbox;
-import org.txm.ahc.core.functions.AHC;
-import org.txm.ca.core.functions.CA;
-import org.txm.concordance.core.functions.Concordance;
-import org.txm.cooccurrence.core.functions.Cooccurrence;
 import org.txm.core.results.TXMResult;
-import org.txm.index.core.functions.Index;
-import org.txm.index.core.functions.Lexicon;
-import org.txm.lexicaltable.core.functions.LexicalTable;
 import org.txm.objects.Base;
-import org.txm.progression.core.functions.Progression;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.commands.R.CopySelection;
 import org.txm.rcp.handlers.files.EditFile;
-import org.txm.rcp.messages.TXMUIMessages;
-import org.txm.referencer.core.functions.Referencer;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Partition;
-import org.txm.specificities.core.functions.Specificities;
 import org.txm.statsengine.r.core.RWorkspace;
 import org.txm.statsengine.r.rcp.messages.RUIMessages;
 /**
@@ -359,26 +348,6 @@
 				return IImageKeys.getImage(IImageKeys.CORPUS);
 			else if (element instanceof Partition)
 				return IImageKeys.getImage(IImageKeys.PARTITION);
-//			else if (element instanceof Lexicon)
-//				return IImageKeys.getImage(IImageKeys.ACTION_FREQUENCY_LIST);
-//			else if (element instanceof Index)
-//				return IImageKeys.getImage(IImageKeys.ACTION_INDEX);
-//			else if (element instanceof Specificities)
-//				return IImageKeys.getImage(IImageKeys.ACTION_SPECIFICITIES);
-//			else if (element instanceof Concordance)
-//				return IImageKeys.getImage(IImageKeys.ACTION_CONCORDANCES);
-//			else if (element instanceof Cooccurrence)
-//				return IImageKeys.getImage(IImageKeys.ACTION_COOCCURRENCE);
-//			else if (element instanceof LexicalTable)
-//				return IImageKeys.getImage(IImageKeys.LEXICALTABLE);
-//			else if (element instanceof CA)
-//				return IImageKeys.getImage(IImageKeys.ACTION_CORRESPONDANCE_ANALYSIS);
-//			else if (element instanceof AHC)
-//				return IImageKeys.getImage(IImageKeys.ACTION_CAH);
-//			else if (element instanceof Referencer)
-//				return IImageKeys.getImage(IImageKeys.ACTION_REFERENCER);
-//			else if (element instanceof Progression)
-//				return IImageKeys.getImage(IImageKeys.ACTION_PROGRESSION);
 			
 			return null;
 		}
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/CheckRPackages.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/CheckRPackages.java	(revision 882)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/CheckRPackages.java	(revision 883)
@@ -91,7 +91,7 @@
 		else if (Util.isLinux()) method = "wget"; //$NON-NLS-1$
 		
 		boolean ret = true;
-		if (Toolbox.getEngineManager(EngineType.STATS).getEngine("R").getState()) {
+		if (Toolbox.getEngineManager(EngineType.STATS).isCurrentEngineAvailable()) {
 			RWorkspace rw = null;
 			try {
 				rw = RWorkspace.getRWorkspaceInstance();
Index: tmp/org.txm.statsengine.r.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.statsengine.r.rcp/META-INF/MANIFEST.MF	(revision 882)
+++ tmp/org.txm.statsengine.r.rcp/META-INF/MANIFEST.MF	(revision 883)
@@ -1,26 +1,6 @@
 Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui;bundle-version="3.106.1";visibility:=reexport,
- org.txm.utils;bundle-version="1.0.0";visibility:=reexport,
- org.eclipse.osgi;bundle-version="3.10.2";visibility:=reexport,
- org.eclipse.jface.text;bundle-version="3.9.2";visibility:=reexport,
- org.eclipse.core.runtime;bundle-version="3.10.0";visibility:=reexport,
- org.eclipse.ui.console;bundle-version="3.5.300";visibility:=reexport,
- org.eclipse.ui.ide;bundle-version="3.10.2";visibility:=reexport,
- org.txm.index.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.concordance.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.lexicaltable.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.ca.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.specificities.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.progression.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.ahc.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.cooccurrence.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.searchengine.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.referencer.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,
- org.txm.statsengine.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.core;bundle-version="0.7.0";visibility:=reexport,
- org.txm.rcp;bundle-version="0.8.0"
+Require-Bundle: org.txm.rcp;bundle-version="0.8.0";visibility:=reexport,
+ org.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.rcp.commands.R,
  org.txm.statsengine.r.rcp.decorators,
  org.txm.statsengine.r.rcp.handlers,
